import {Image, Text, TouchableOpacity, View} from "react-native";
import {Ionicons} from "@expo/vector-icons";
import React from "react";
import {useSession} from "@/ctx";

export default function HeaderProfileComponent() {
    const {session} = useSession();


    return (
        <View className="rounded-2xl overflow-hidden shadow-lg h-auto p-4">

            <View className="flex-row items-center justify-between">
                <View className="flex-row items-center  w-full">
                    <Image className="h-16 w-16 rounded-2xl"
                           source={require("assets/images/sigma-profile.jpeg")}
                    />

                    <View>
                        <Text className="text-gray-500 font-semibold ml-4">Prêt pour t'entrainer ?</Text>
                        <Text className="text-black text-4xl ml-4 mt-0.5">{session}</Text>
                    </View>
                </View>
            </View>

        </View>
    );
}